PETSc version 3.15.5
Fix/Edit manual page

# DMStagGetProductCoordinateArrays

extract local product coordinate arrays, one per dimension

### Synopsis

    PetscErrorCode DMStagGetProductCoordinateArrays(DM dm,void* arrX,void* arrY,void* arrZ)

Logically Collective

A high-level helper function to quickly extract local coordinate arrays.

Note that 2-dimensional arrays are returned. See DMStagVecGetArray(), which is called internally to produce these arrays representing coordinates on elements and vertices (element boundaries) for a 1-dimensional DMStag in each coordinate direction.

One should use DMStagGetProductCoordinateSlot() to determine appropriate indices for the second dimension in these returned arrays. This function checks that the coordinate array is a suitable product of 1-dimensional DMStag objects.

### Input Parameter

| dm | - the DMStag object

### Output Parameters

| arrX,arrY,arrZ | - local 1D coordinate arrays

### See Also

DMSTAG, DMPRODUCT, DMStagGetProductCoordinateArraysRead(), DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesProduct(), DMStagGetProductCoordinateLocationSlot()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex6.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages